diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 10e6242..3662ae8 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -852,12 +852,6 @@ does nothing but print the argument value.
 
 @
 
-\defdollar{newcompMode}
-<<initvars>>=
-(defvar |$newcompMode| nil)
-
-@
-
 \calls{SpadInterpretStream}{mkprompt}
 \calls{SpadInterpretStream}{intloopReadConsole}
 \calls{SpadInterpretStream}{intloopInclude}
@@ -869,7 +863,6 @@ does nothing but print the argument value.
 \usesdollar{SpadInterpretStream}{inclAssertions}
 \usesdollar{SpadInterpretStream}{okToExecuteMachineCode}
 \usesdollar{SpadInterpretStream}{newcompErrorCount}
-\usesdollar{SpadInterpretStream}{newcompMode}
 \usesdollar{SpadInterpretStream}{libQuiet}
 \usesdollar{SpadInterpretStream}{fn}
 \usesdollar{SpadInterpretStream}{nopos}
@@ -877,15 +870,14 @@ does nothing but print the argument value.
 (defun |SpadInterpretStream| (str source interactive?) 
  (let (|$promptMsg| |$systemCommandFunction| 
        |$ncMsgList| |$erMsgToss| |$lastPos| |$inclAssertions| 
-       |$okToExecuteMachineCode| |$newcompErrorCount| |$newcompMode| 
+       |$okToExecuteMachineCode| |$newcompErrorCount|
        |$libQuiet| |$fn|)
   (declare (special |$promptMsg| 
             |$systemCommandFunction| |$ncMsgList| |$erMsgToss| |$lastPos| 
             |$inclAssertions| |$okToExecuteMachineCode| |$newcompErrorCount| 
-            |$newcompMode| |$libQuiet| |$fn| |$nopos|))
+            |$libQuiet| |$fn| |$nopos|))
   (setq |$fn| source) 
   (setq |$libQuiet| (null interactive?)) 
-  (setq |$newcompMode| nil) 
   (setq |$newcompErrorCount| 0) 
   (setq |$okToExecuteMachineCode| t) 
   (setq |$inclAssertions| (list 'aix '|CommonLisp|)) 
@@ -1641,7 +1633,6 @@ a top level command
 
 \defun{parseAndInterpret}{parseAndInterpret}
 \calls{parseAndInterpret}{ncParseAndInterpretString}
-\calls{parseAndInterpret}{oldParseAndInterpret}
 \usesdollar{parseAndInterpret}{InteractiveMode}
 \usesdollar{parseAndInterpret}{boot}
 \usesdollar{parseAndInterpret}{spad}
@@ -1685,19 +1676,6 @@ a top level command
 
 @
 
-\defun{oldParseAndInterpret}{oldParseAndInterpret}
-\calls{oldParseAndInterpret}{string2SpadTree}
-\calls{oldParseAndInterpret}{processInteractive}
-\calls{oldParseAndInterpret}{parseTransform}
-\calls{oldParseAndInterpret}{postTransform}
-<<defun oldParseAndInterpret>>=
-(defun |oldParseAndInterpret| (str)
- (let ((tree (|string2SpadTree| str)))
-  (when tree
-   (|processInteractive| (|parseTransform| (|postTransform| tree)) nil))))
-
-@
-
 \defdollar{interpOnly}
 <<initvars>>=
 (defvar |$interpOnly| nil)
@@ -2413,16 +2391,11 @@ sameUnionBranch(uArg, m) ==
 \begin{verbatim}
 phParse: carrier[tokens,...] -> carrier[ptree, tokens,...]
 \end{verbatim}
-\calls{phParse}{phBegin}
 \calls{phParse}{intSayKeyedMsg}
 \calls{phParse}{pform}
 \calls{phParse}{ncPutQ}
-\usesdollar{phParse}{ncmParse}
 <<defun phParse>>=
 (defun |phParse| (carrier ptree)
- (declare (special |$ncmParse|))
-  (|phBegin| '|Parsing|)
-  (when |$ncmParse| (|intSayKeyedMsg| 'S2CTP003 (list (|%pform| ptree))))
   (|ncPutQ| carrier '|ptree| ptree)
   'ok)
 
@@ -2516,29 +2489,15 @@ carrier[lines,messages,..]-> carrier[lines,messages,..]
 
 @
 
-\defun{phBegin}{phBegin}
-\calls{phBegin}{intSayKeyedMsg}
-\usesdollar{phBegin}{ncmPhase}
-\usesdollar{phBegin}{convPhase}
-<<defun phBegin>>=
-(defun |phBegin| (id)
- (declare (special |$ncmPhase| |$convPhase|))
- (setq |$convPhase| id)
- (when |$ncmPhase| (|intSayKeyedMsg| 'S2CTP021 (list id))))
-
-@
-
 \defun{ncConversationPhase}{ncConversationPhase}
 \calls{ncConversationPhase}{ncConversationPhase,wrapup}
-\usesdollar{ncConversationPhase}{convPhase}
 \usesdollar{ncConversationPhase}{ncMsgList}
 <<defun ncConversationPhase>>=
 (defun |ncConversationPhase| (fn args)
- (let (|$convPhase| |$ncMsgList| carrier)
- (declare (special |$convPhase| |$ncMsgList|))
+ (let (|$ncMsgList| carrier)
+ (declare (special |$ncMsgList|))
   (setq carrier (car args))
   (setq |$ncMsgList| nil)
-  (setq |$convPhase| '|NoPhase|)
   (unwind-protect
    (apply fn args)
    (|ncConversationPhase,wrapup| carrier))))
@@ -8265,22 +8224,17 @@ This was rewritten by NAG to remove flet.
 \begin{verbatim}
 carrier[ptree,...] -> carrier[ptree, ptreePremacro,...]
 \end{verbatim}
-\calls{phMacro}{phBegin}
 \calls{phMacro}{ncEltQ}
 \calls{phMacro}{ncPutQ}
 \calls{phMacro}{macroExpanded}
 \calls{phMacro}{intSayKeyedMsg}
 \calls{phMacro}{pform}
-\usesdollar{phMacro}{ncmMacro}
 <<defun phMacro>>=
 (defun |phMacro| (carrier)
  (let (ptree)
- (declare (special |$ncmMacro|))
-  (|phBegin| '|Macroing|)
   (setq ptree (|ncEltQ| carrier '|ptree|))
   (|ncPutQ| carrier '|ptreePremacro| ptree)
   (setq ptree (|macroExpanded| ptree))
-  (when |$ncmMacro| (|intSayKeyedMsg| 'S2CTP007 (list (|%pform| ptree))))
   (|ncPutQ| carrier '|ptree| ptree)
   'ok))
 
@@ -12617,16 +12571,15 @@ Give a message and continue processing.
 \calls{ncSoftError}{desiredMsg}
 \calls{ncSoftError}{processKeyedError}
 \calls{ncSoftError}{msgCreate}
-\usesdollar{ncSoftError}{compErrorPrefix}
 \usesdollar{ncSoftError}{newcompErrorCount}
 <<defun ncSoftError>>=
 (defun |ncSoftError| (pos erMsgKey erArgL &rest optAttr)
- (declare (special |$compErrorPrefix| |$newcompErrorCount|))
+ (declare (special |$newcompErrorCount|))
   (setq |$newcompErrorCount| (+ |$newcompErrorCount| 1))
   (when (|desiredMsg| erMsgKey)
    (|processKeyedError|
     (|msgCreate| '|error| pos erMsgKey erArgL
-                  |$compErrorPrefix| optAttr))))
+                  "Error" optAttr))))
 
 @
 
@@ -12637,65 +12590,29 @@ Give message and throw to a recovery point.
 \calls{ncHardError}{processKeyedError}
 \calls{ncHardError}{msgCreate}
 \calls{ncHardError}{ncError}
-\usesdollar{ncHardError}{compErrorPrefix}
 \usesdollar{ncHardError}{newcompErrorCount}
 <<defun ncHardError>>=
 (defun |ncHardError| (pos erMsgKey erArgL &rest optAttr)
  (let (erMsg)
- (declare (special |$compErrorPrefix| |$newcompErrorCount|))
+ (declare (special |$newcompErrorCount|))
   (setq |$newcompErrorCount| (+ |$newcompErrorCount| 1))
   (if (|desiredMsg| erMsgKey)
    (setq erMsg
     (|processKeyedError|
-     (|msgCreate| '|error| pos erMsgKey erArgL |$compErrorPrefix| optAttr)))
+     (|msgCreate| '|error| pos erMsgKey erArgL "Error" optAttr)))
    (|ncError|))))
 
 @
 
 \defun{desiredMsg}{desiredMsg}
-\calls{desiredMsg}{isKeyQualityP}
 <<defun desiredMsg>>=
 (defun |desiredMsg| (erMsgKey &rest optCatFlag)
  (cond
-  ((|isKeyQualityP| erMsgKey '|show|) t)
-  ((|isKeyQualityP| erMsgKey '|stifle|) nil)
   ((null (null optCatFlag)) (car optCatFlag))
   (t t)))
 
 @
 
-\defvar{specificMsgTags}
-<<initvars>>=
-(defvar |$specificMsgTags| nil)
-
-@
-
-\defun{isKeyQualityP}{isKeyQualityP}
-This seems dumb logic to me. There is nothing that iterates in the loop.
-Thus the value is either found immediate or never found at all.
-But if we ever enter the loop it would be infinite.
-\begin{verbatim}
-isKeyQualityP (key,qual)  ==
-    --returns pair if found, else NIL
-    found := false
-    while not found and (qualPair := ASSOC(key,$specificMsgTags)) repeat
-        if CDR qualPair = qual then found := true
-    qualPair
-\end{verbatim}
-\usesdollar{isKeyQualityP}{specificMsgTags}
-<<defun isKeyQualityP>>=
-(defun |isKeyQualityP| (key qual)
- (let (qualPair found)
- (declare (special |$specificMsgTags|))
-  (do ()
-      ((not (and (null found)
-                 (setq qualPair (assoc key |$specificMsgTags|))))
-        nil)
-   (when (equal (cdr qualPair) qual) (setq found t)))
-  qualPair))
-
-@
-
 \defun{processKeyedError}{processKeyedError}
 \calls{processKeyedError}{getMsgTag?}
 \calls{processKeyedError}{getMsgKey}
@@ -12730,19 +12647,18 @@ isKeyQualityP (key,qual)  ==
 \calls{msgOutputter}{sayBrightly}
 \calls{msgOutputter}{toFile?}
 \calls{msgOutputter}{alreadyOpened?}
-\usesdollar{msgOutputter}{loglength}
 \usesdollar{msgOutputter}{linelength}
 <<defun msgOutputter>>=
 (defun |msgOutputter| (msg)
  (let (alreadyOpened shouldFlow st)
- (declare (special $loglength $linelength))
+ (declare (special $linelength))
   (setq st (|getStFromMsg| msg))
   (setq shouldFlow (null (or (|leader?| msg) (|line?| msg))))
   (when (|toScreen?| msg)
     (when shouldFlow (setq st (|flowSegmentedMsg| st $linelength 0)))
     (|sayBrightly| st))
   (when (|toFile?| msg)
-    (when shouldFlow (setq st (|flowSegmentedMsg| st $loglength 0)))
+    (when shouldFlow (setq st (|flowSegmentedMsg| st (- $linelength 6) 0)))
     (setq alreadyOpened (|alreadyOpened?| msg)))))
 
 @
@@ -12757,7 +12673,6 @@ isKeyQualityP (key,qual)  ==
 @
 
 \defun{getStFromMsg}{getStFromMsg}
-\calls{getStFromMsg}{setOptKeyBlanks}
 \calls{getStFromMsg}{getPreStL}
 \calls{getStFromMsg}{getMsgPrefix?}
 \calls{getStFromMsg}{getMsgTag}
@@ -12767,48 +12682,26 @@ isKeyQualityP (key,qual)  ==
 \calls{getStFromMsg}{pname}
 \calls{getStFromMsg}{getMsgLitSym}
 \calls{getStFromMsg}{tabbing}
-\usesdollar{getStFromMsg}{showKeyNum}
-\usesdollar{getStFromMsg}{optKeyBlanks}
 <<defun getStFromMsg>>=
 (defun |getStFromMsg| (msg)
- (let (|$optKeyBlanks| st optKey msgKey posStL preStL)
- (declare (special |$showKeyNum| |$optKeyBlanks|))
-  (setq |$optKeyBlanks| "")
-  (|setOptKeyBlanks|)
+ (let (st msgKey posStL preStL)
   (setq preStL (|getPreStL| (|getMsgPrefix?| msg)))
   (cond
    ((eq (|getMsgTag| msg) '|line|)
-     (cons |$optKeyBlanks|
+     (cons ""
        (cons "%x1" (append preStL (cons (|getMsgText| msg) nil)))))
    (t
     (setq posStL (|getPosStL| msg))
-    (setq optKey
-      (cond
-        (|$showKeyNum|
-         (cond
-          ((setq msgKey (|getMsgKey?| msg)) (pname msgKey))
-          (t "no key  ")))
-        (t "")))
     (setq st
      (cons posStL
       (cons (|getMsgLitSym| msg)
-       (cons optKey
+       (cons ""
         (append preStL
          (cons (|tabbing| msg)
           (|getMsgText| msg)))))))))))
 
 @
 
-\defun{setOptKeyBlanks}{setOptKeyBlanks}
-\usesdollar{setOptKeyBlanks}{optKeyBlanks}
-\usesdollar{setOptKeyBlanks}{showKeyNum}
-<<defun setOptKeyBlanks>>=
-(defun |setOptKeyBlanks| ()
- (declare (special |$optKeyBlanks| |$showKeyNum|))
-  (setq |$optKeyBlanks| (if |$showKeyNum| "%x8" "")))
-
-@
-
 \defun{getPreStL}{getPreStL}
 \calls{getPreStL}{size}
 \usesdollar{getPreStL}{preLength}
@@ -12837,13 +12730,12 @@ isKeyQualityP (key,qual)  ==
 \calls{getPosStL}{ppos}
 \calls{getPosStL}{remLine}
 \calls{getPosStL}{remFile}
-\usesdollar{getPosStL}{optKeyBlanks}
 \usesdollar{getPosStL}{lastPos}
 <<defun getPosStL>>=
 (defun |getPosStL| (msg)
  (let (printedOrigin printedLineNum printedFileName fullPrintedPos howMuch 
        msgPos)
- (declare (special |$optKeyBlanks| |$lastPos|))
+ (declare (special |$lastPos|))
  (cond
   ((null (|showMsgPos?| msg)) "")
   (t
@@ -12862,16 +12754,16 @@ isKeyQualityP (key,qual)  ==
     (cons "%x2" (cons "[" (append fullPrintedPos (cons "]" nil)))))
    (cond
     ((eq howMuch 'org)
-     (cons |$optKeyBlanks| (append printedOrigin (cons '|%l| nil))))
+     (cons "" (append printedOrigin (cons '|%l| nil))))
     ((eq howMuch 'line)
-     (cons |$optKeyBlanks| (append printedLineNum (cons '|%l| nil))))
+     (cons "" (append printedLineNum (cons '|%l| nil))))
     ((eq howMuch 'file)
-     (cons |$optKeyBlanks| (append printedFileName (cons '|%l| nil))))
+     (cons "" (append printedFileName (cons '|%l| nil))))
     ((eq howMuch 'all)
-     (cons |$optKeyBlanks|
+     (cons ""
       (append printedFileName
        (cons '|%l|
-        (cons |$optKeyBlanks|
+        (cons ""
          (append printedLineNum
           (cons '|%l| nil)))))))
     (t ""))))))
@@ -13067,15 +12959,13 @@ org prints out the word noposition or console
 
 \defun{tabbing}{tabbing}
 \calls{tabbing}{getMsgPrefix?}
-\usesdollar{tabbing}{showKeyNum}
 \usesdollar{tabbing}{preLength}
 <<defun tabbing>>=
 (defun |tabbing| (msg)
  (let (chPos)
- (declare (special |$showKeyNum| |$preLength|))
+ (declare (special |$preLength|))
   (setq chPos 2)
   (when (|getMsgPrefix?| msg) (setq chPos (- (+ chPos |$preLength|) 1)))
-  (when |$showKeyNum| (setq chPos (+ chPos 8)))
   (cons '|%t| chPos)))
 
 @
@@ -13179,19 +13069,15 @@ org prints out the word noposition or console
 \calls{getMsgInfoFromKey}{substituteSegmentedMsg}
 \calls{getMsgInfoFromKey}{getMsgArgL}
 \usesdollar{getMsgInfoFromKey}{msgDatabaseName}
-\usesdollar{getMsgInfoFromKey}{erGlbMsgDatabaseName}
-\usesdollar{getMsgInfoFromKey}{erLocMsgDatabaseName}
 <<defun getMsgInfoFromKey>>=
 (defun |getMsgInfoFromKey| (msg)
  (let (|$msgDatabaseName| attributes tmp msgText dbl msgKey)
- (declare (special |$msgDatabaseName| |$erGlbMsgDatabaseName|
-                   |$erLocMsgDatabaseName|))
+ (declare (special |$msgDatabaseName|))
   (setq |$msgDatabaseName| nil)
   (setq msgText
    (cond
     ((setq msgKey (|getMsgKey?| msg))
-     (setq dbl (list |$erLocMsgDatabaseName| |$erGlbMsgDatabaseName|))
-     (|getErFromDbL| msgKey dbl))
+     (|fetchKeyedMsg| msgKey nil))
     (t (|getMsgKey| msg))))
   (setq msgText (|segmentKeyedMsg| msgText))
   (setq tmp (|removeAttributes| msgText))
@@ -13202,43 +13088,6 @@ org prints out the word noposition or console
 
 @
 
-\defun{getErFromDbL}{getErFromDbL}
-\begin{verbatim}
-;getErFromDbL (erMsgKey,dbL) ==
-;    erMsg := NIL
-;    while null erMsg   repeat
-;        dbName := CAR dbL
-;        dbL    := CDR dbL
-;        $msgDatabaseName      := dbName
-;        lastName := null dbL
-;--        fileFound := '"co_-eng.msgs"
-;        fileFound := '"s2_-us.msgs"
-;        if fileFound or lastName then
-;            erMsg := fetchKeyedMsg(erMsgKey,not lastName)
-;    erMsg
-\end{verbatim}
-\usesdollar{getErFromDbL}{msgDatabaseName}
-<<defun getErFromDbL>>=
-(defun |getErFromDbL| (erMsgKey dbL)
- (let (fileFound lastName dbName erMsg)
- (declare (special |$msgDatabaseName|))
-  ((lambda ()
-   (loop
-    (cond
-     (erMsg (return nil))
-     (t
-      (setq dbName (car dbl))
-      (setq dbl (cdr dbl))
-      (setq |$msgDatabaseName| dbName)
-      (setq lastName (null dbl))
-      (setq fileFound "s2-us.msgs")
-      (cond
-       ((or fileFound lastName)
-        (setq erMsg (|fetchKeyedMsg| erMsgKey (null lastName))))))))))
-  erMsg))
-
-@
-
 \defun{setMsgUnforcedAttrList}{setMsgUnforcedAttrList}
 \calls{setMsgUnforcedAttrList}{setMsgUnforcedAttr}
 \calls{setMsgUnforcedAttrList}{whichCat}
@@ -13292,17 +13141,16 @@ Bug in the compiler: something which shouldn't have happened did.
 \calls{ncBug}{msgCreate}
 \calls{ncBug}{enable-backtrace}
 \calls{ncBug}{ncAbort}
-\usesdollar{ncBug}{compBugPrefix}
 \usesdollar{ncBug}{nopos}
 \usesdollar{ncBug}{newcompErrorCount}
 <<defun ncBug>>=
 (defun |ncBug| (erMsgKey erArgL &rest optAttr)
  (let (erMsg)
- (declare (special |$compBugPrefix| |$nopos| |$newcompErrorCount|))
+ (declare (special |$nopos| |$newcompErrorCount|))
   (setq |$newcompErrorCount| (+ |$newcompErrorCount| 1))
   (setq erMsg
    (|processKeyedError|
-    (|msgCreate| '|bug| |$nopos| erMsgKey erArgL |$compBugPrefix| optAttr)))
+    (|msgCreate| '|bug| |$nopos| erMsgKey erArgL "Bug!" optAttr)))
   (enable-backtrace nil)
   (break)
   (|ncAbort|)))
@@ -40199,7 +40047,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun getdatabase>>
 <<defun getDirectoryList>>
 <<defun getenviron>>
-<<defun getErFromDbL>>
 <<defun getFirstWord>>
 <<defun getKeyedMsg>>
 <<defun getLinePos>>
@@ -40340,7 +40187,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun isgenvar>>
 <<defun isIntegerString>>
 <<defun isInterpOnlyMap>>
-<<defun isKeyQualityP>>
 <<defun isListOfIdentifiers>>
 <<defun isListOfIdentifiersOrStrings>>
 <<defun isSharpVar>>
@@ -40699,7 +40545,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun npZeroOrMore>>
 
 <<defun oldHistFileName>>
-<<defun oldParseAndInterpret>>
 <<defun openOutputLibrary>>
 <<defun openserver>>
 <<defun operationOpen>>
@@ -40952,7 +40797,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun pf0WhereContext>>
 <<defun pf2Sex>>
 <<defun pf2Sex1>>
-<<defun phBegin>>
 <<defun phMacro>>
 <<defun phParse>>
 <<defun phInterpret>>
@@ -41158,7 +41002,6 @@ This needs to work off the internal exposure list, not the file.
 <<defun setMsgUnforcedAttr>>
 <<defun setMsgUnforcedAttrList>>
 <<defun setNagHost>>
-<<defun setOptKeyBlanks>>
 <<defun setOutputAlgebra>>
 <<defun setOutputCharacters>>
 <<defun setOutputFormula>>
@@ -41426,7 +41269,6 @@ curoutstream                 & ncIntLoop           & \\
 \$msgDatabaseName            & reroot              * \\
 \$ncMsgList                  & SpadInterpretStream & \\
 \$newcompErrorCount          & SpadInterpretStream & \\
-\$newcompMode                & SpadInterpretStream & \\
 \$newspad                    & ncTopLevel          & \\
 \$nopos                      &                     & SpadInterpretStream \\
 \$okToExecuteMachineCode     & SpadInterpretStream & \\
@@ -41612,9 +41454,6 @@ The \verb|$ncMsgList| is set to NIL in SpadInterpretStream.
 \subsection{\$newcompErrorCount}
 The \verb|$newcompErrorCount| is set to 0 in SpadInterpretStream.
 
-\subsection{\$newcompMode}
-The \verb|$newcompMode| is set to NIL in SpadInterpretStream.
-
 \subsection{\$newspad}
 The \verb|$newspad| is set to T in ncTopLevel.
 
diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index 989e680..c73fc65 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -656,8 +656,6 @@ and mode.
 \calls{compileSpad2Cmd}{compilerDoit}
 \calls{compileSpad2Cmd}{extendLocalLibdb}
 \calls{compileSpad2Cmd}{spadPrompt}
-\usesdollar{compileSpad2Cmd}{newcompMode}
-\usesdollar{compileSpad2Cmd}{ncConverse}
 \usesdollar{compileSpad2Cmd}{newComp}
 \usesdollar{compileSpad2Cmd}{scanIfTrue}
 \usesdollar{compileSpad2Cmd}{compileOnlyCertainItems}
@@ -672,11 +670,11 @@ and mode.
 \uses{compileSpad2Cmd}{/editfile}
 <<defun compileSpad2Cmd>>=
 (defun |compileSpad2Cmd| (args)
- (let (|$newcompMode| |$ncConverse| |$newComp| |$scanIfTrue| 
+ (let (|$newComp| |$scanIfTrue| 
        |$compileOnlyCertainItems| |$f| |$m| |$QuickLet| |$QuickCode| 
        |$sourceFileTypes| |$InteractiveMode| path optlist fun optname 
        optargs fullopt translateoldtonew constructor)
-  (declare (special |$newcompMode| |$ncConverse| |$newComp| |$scanIfTrue| 
+  (declare (special |$newComp| |$scanIfTrue| 
        |$compileOnlyCertainItems| |$f| |$m| |$QuickLet| |$QuickCode| 
        |$sourceFileTypes| |$InteractiveMode| /editfile |$options|
        |$newConlist|)) 
diff --git a/changelog b/changelog
index ebab493..99ee728 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20100816 tpd src/axiom-website/patches.html 20100816.01.tpd.patch
+20100816 tpd src/interp/varini.lisp treeshake
+20100816 tpd src/interp/database.lisp treeshake
+20100816 tpd src/interp/cattable.lisp treeshake
+20100816 tpd books/bookvol9 treeshake
+20100816 tpd books/bookvol5 treeshake
 20100815 tpd src/axiom-website/patches.html 20100815.02.tpd.patch
 20100815 tpd src/interp/varini.lisp treeshake
 20100815 tpd src/interp/nci.lisp treeshake
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8809cd7..e94928a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3069,5 +3069,7 @@ books/bookvol9 treeshake the compiler code<br/>
 books/bookvol9 treeshake the compiler code<br/>
 <a href="patches/20100815.02.tpd.patch">20100815.02.tpd.patch</a>
 books/bookvol5 treeshake, remove $useNewParser<br/>
+<a href="patches/20100816.01.tpd.patch">20100816.01.tpd.patch</a>
+books/bookvol5 treeshake<br/>
  </body>
 </html>
diff --git a/src/interp/cattable.lisp.pamphlet b/src/interp/cattable.lisp.pamphlet
index 4e98dea..20180a0 100644
--- a/src/interp/cattable.lisp.pamphlet
+++ b/src/interp/cattable.lisp.pamphlet
@@ -1971,7 +1971,6 @@
         (RPLACD |l| |y|)))))
 
 ;updateCategoryTable(cname,kind) ==
-;  $newcompMode = true => nil
 ;  $updateCatTableIfTrue =>
 ;    kind = 'package => nil
 ;    kind = 'category => updateCategoryTableForCategory(cname)
@@ -1983,9 +1982,8 @@
 ;      GETDATABASE(cname,'CONSTRUCTORCATEGORY)))
 
 (DEFUN |updateCategoryTable| (|cname| |kind|)
-  (declare (special |$NRTflag| |$updateCatTableIfTrue| |$newcompMode|))
+  (declare (special |$NRTflag| |$updateCatTableIfTrue|))
   (COND
-    ((BOOT-EQUAL |$newcompMode| 'T) NIL)
     (|$updateCatTableIfTrue|
         (COND
           ((BOOT-EQUAL |kind| '|package|) NIL)
diff --git a/src/interp/database.lisp.pamphlet b/src/interp/database.lisp.pamphlet
index a2b37a5..80287dd 100644
--- a/src/interp/database.lisp.pamphlet
+++ b/src/interp/database.lisp.pamphlet
@@ -2080,7 +2080,6 @@
 ;updateDatabase(fname,cname,systemdir?) ==
 ; -- for now in NRUNTIME do database update only if forced
 ;  not $forceDatabaseUpdate => nil
-;  $newcompMode = 'true => nil
 ;  -- these modemaps are never needed in the old scheme
 ;  if oldFname := constructor? cname then
 ;    clearClams()
@@ -2094,11 +2093,10 @@
 (DEFUN |updateDatabase| (|fname| |cname| |systemdir?|)
   (declare (ignore |fname|))
   (PROG (|oldFname|)
-    (DECLARE (SPECIAL |$forceDatabaseUpdate| |$newcompMode|))
+    (DECLARE (SPECIAL |$forceDatabaseUpdate|))
     (RETURN
       (COND
         ((NULL |$forceDatabaseUpdate|) NIL)
-        ((BOOT-EQUAL |$newcompMode| '|true|) NIL)
         ('T
          (COND
            ((SPADLET |oldFname| (|constructor?| |cname|))
diff --git a/src/interp/varini.lisp.pamphlet b/src/interp/varini.lisp.pamphlet
index 4dc3895..2dd338c 100644
--- a/src/interp/varini.lisp.pamphlet
+++ b/src/interp/varini.lisp.pamphlet
@@ -13,179 +13,27 @@
 
 (IN-PACKAGE "BOOT")
 
-(defvar |$ncConverse| NIL)
-(defvar |$newcompMode| NIL ")comp means new compiler.")
-(defvar |$newComp| T "Start workspace in new compiler.")
-
-;-- Files used by the compiler.
-(defvar |$erLocMsgDatabaseName| (|pathname| '(|co-eng| |msgs| |a|)))
-(defvar |$erGlbMsgDatabaseName| (|pathname| '(|co-eng| |msgs| |i|)))
-(defvar |$LanguageConstantFileName| (|pathname| '(|stlang| |input| *)))
-(defvar |$WorkspaceProfileName| (|pathname| '(|spadprof| |input| *)))
-(defvar |$OldLibraryDatabaseName| (|pathname| '(|modemap| |database| *)))
-(defvar |$SpadNcLibraryRelPath| "lib/lang")
-(defvar |$SpadNcLibraryRelPathSrc| "src/lib/lang/")
-(defvar |$SpadNcIncludeRelPath| "src/include/lang/")
-(defvar |$warmstab| NIL)
-
-;-- Variables to control phases and their output
-(defvar |$ncRead| T)
-(defvar |$ncmRead| NIL)
-(defvar |$ncParse| T)
-(defvar |$ncmParse| NIL)
-(defvar |$ncAbsck| T)
-(defvar |$ncmAbsck| NIL)
-(defvar |$ncMacro| T)
-(defvar |$ncmMacro| NIL)
-(defvar |$ncScope| NIL)
-(defvar |$ncmScope| NIL)
-(defvar |$ncAnalyze| T)
-(defvar |$ncmSemantics| NIL)
-(defvar |$ncInterpretSetr| NIL)
-(defvar |$ncParseSetr| NIL)
-(defvar |$ncmParseSetr| NIL)
-(defvar |$ncGenerateSAM| T)
-(defvar |$ncmSAM| NIL)
-(defvar |$ncLastSamCode| NIL)
-(defvar |$ncSamOptimize| NIL)
-(defvar |$ncmSamOptimize| NIL)
-(defvar |$ncLastOptimizedCode| NIL)
-(defvar |$ncSamPack| NIL)
-(defvar |$ncmSamPack| NIL)
-(defvar |$ncLastPackedSam| NIL)
-(defvar |$ncGenerateConcrete| T)
-(defvar |$ncmConCode| NIL)
-(defvar |$ncLastConcreteCode| NIL)
-(defvar |$ncLibrary| T)
-(defvar |$ncmLibrary| NIL)
-(defvar |$ncGenerateMachine| T)
-(defvar |$ncmCodeSize| NIL)
-(defvar |$ncLastMachineCode| NIL)
-(defvar |$ncInterpretSam| NIL)
-(defvar |$ncExecuteMachine| T)
-(defvar |$ncReportStep| T)
- 
-;-- Variables to control debugging output
-;--they are manipulated in setvart boot
-(defvar |$debugApply| NIL)
-(defvar |$debugApply0| NIL)
-(defvar |$debugSemAnalyze| NIL)
-(defvar |$debugRead| NIL)
-(defvar |$debugParse| NIL)
-(defvar |$debugCheck| NIL)
-(defvar |$debugMacro| NIL)
-(defvar |$debugScope| NIL)
-(defvar |$debugParseSetr| NIL)
-(defvar |$debugGenSam| NIL)
-(defvar |$debugSamOpt| NIL)
-(defvar |$debugSamPack| NIL)
-(defvar |$debugGenCon| NIL)
-(defvar |$debugGenMach| NIL)
-(defvar |$debugExecute| NIL)
-(defvar |$debugReport| NIL)
-
-
-;-- Variables to control what other parts of the compiler are executed.
-(defvar |$ncDoSpecialCases| T)
-(defvar |$LispViaSam| NIL)
-; 
-;-- Variables to control other compiler output.
-; 
-;-- note flags to control the error message facility must have
-;-- the prefix $ncm, since catExcpts (in ncsetvar boot) strips the
-;-- prefix and uses the name.  ie. $ncmWarning ==> "Warning"
-(defvar |$ncmPhase| NIL)
-(defvar |$ncmWarning| 'T)
-(defvar |$ncmStatistic| NIL)
-(defvar |$ncmRemark| 'T)
-(defvar |$statTmSpShow| 4)
-(defvar |$compBugPrefix| "Bug!")
-(defvar |$compUnimplPrefix| "Unimp")
-(defvar |$compDebugPrefix| "Debug")
-(defvar |$compStatisticPrefix| "Stat")
-(defvar |$compErrorPrefix| "Error")
-(defvar |$compWarningPrefix| "Warn")
-(defvar |$compRemarkPrefix| "Note")
-(defvar |$compSayPrefix| "Msg")
-
-(defvar |$charNumSymVector| NIL)
+;(defvar |$newComp| T "Start workspace in new compiler.")
 
 ;-- Modes
-(defvar |$ExitMode| '|ExitMode|)
-(defvar |$FullMode| '|FullMode|)
 (defvar |$NoValueMode| '|NoValueMode|)
 (defvar |$ValueMode| '|ValueMode|)
 
 ;--error message facility
 (defvar |$nopos| (LIST '|noposition|))
-(defvar |$showKeyNum| NIL)
-(defvar |$specificMsgTags| NIL)
 
-;--compiler option stuff
-(defvar |$ncCodeDebug| T)
-(defvar |$ncCodeTrace| T)
-(defvar |$ncSamInline| T)
-; 
-;-- Variables used in the SEMantic ANAlysis
-; 
-;--from SEFO BOOT
-  (defvar |$sefoDerivedAttributes|
-        (LIST '|type| '|tfinfo| '|signature| '|pooled|))
-; 
 ;--from NCMODE BOOT
 (defvar |$ValueMode| '|ValueMode|)
 (defvar |$NoValueMode| '|NoValueMode|)
-(defvar |$FullMode| '|FullMode|)
-(defvar |$ExitMode| '|ExitMode|)
-; 
-;-- Miscellaneous nonsense.
-(defvar |$newcompInteractiveRecovery| 'T)
 (defvar |$newcompErrorCount| 0)
-(defvar |$floatdolla| (LIST '|$elt| (LIST '|BigFloat|) '|bigfloat|))
-(defvar |$floatilla| (LIST '|elt| (LIST '|BigFloat|) '|bigfloat|))
-(defvar |$newcompStats| NIL)
-(defvar |$newcompAbbrevType| T)
-(defvar |$stabLibLevelNo| (- 1))
-(defvar |$SyntheticSourcePosition| '|Synthetic|)
-(defvar |$Typeless| NIL)
-
-(defvar |$catAbTab|
-        '((|$ncmWarning| . "warn") (|$ncmRemark| . "rem")
-          (|$ncmStatistic| . "stat")))
-(defvar |$phaseAbTab|
-        '((|Reading| . "Rd") (|Parsing| . "Pa") (|Checking| . "Ck")
-          (|Macroing| . "Ma") (|Scoping| . "Sc") (|Analyzing| . "An")
-          (|Interpreting| . "In") (|ParseSetr| . "Ps")
-          (|GeneratingSAM| . "Sg") (|SamOptimize| . "So")
-          (|SamPack| . "Sp") (|GeneratingConcrete| . "Cg")
-          (|GeneratingMachine| . "Mg") (|Executing| . "Ex")
-          (|Reporting| . "Rp")))
-
 (defvar $LINELENGTH 80)
-(defvar |$showMsgCaller| NIL)
 (defvar |$preLength| 11)
-(defvar $LOGLENGTH (- $LINELENGTH 6))
-(defvar |$specificMsgTags| NIL)
-(defvar |$imPrTagGuys|
-        (LIST '|unimple| '|bug| '|debug| '|say| '|warn|))
+(defvar |$imPrTagGuys| (LIST '|unimple| '|bug| '|debug| '|say| '|warn|))
 (defvar |$toWhereGuys| (LIST '|fileOnly| '|screenOnly|))
 (defvar |$imPrGuys| (LIST '|imPr|))
 (defvar |$repGuys| (LIST '|noRep| '|rep|))
 (defvar |$attrCats| (LIST '|$imPrGuys| '|$toWhereGuys| '|$repGuys|))
-(defvar |$showConcrete1| NIL)
-(defvar |$showConcrete2| NIL)
-(defvar |$showPhases| 'T)
-(defvar |$showSAM| NIL)
-(defvar |$showform| NIL)
-(defvar |$showsetr| NIL)
-(defvar |$showval| 'T)
-(defvar |$tafon| NIL)
-(defvar $DIRECTORY-LIST NIL)
-(defvar |$gotSam| NIL)
-(defvar |$simon| NIL)
-(defvar |$ncmTLambdaDown| NIL)
 (defvar |$ncMsgList| NIL)
-(defvar |$oldLibraryInterface| NIL)
 )
 
 @
